org.apache.activemq.artemis.api.core

## Class JGroupsPropertiesBroadcastEndpoint

- java.lang.Object
- - org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint
  - - org.apache.activemq.artemis.api.core.JGroupsPropertiesBroadcastEndpoint

- All Implemented Interfaces:
    BroadcastEndpoint

      public final class JGroupsPropertiesBroadcastEndpoint
      extends JGroupsBroadcastEndpoint

  This class is the implementation of ActiveMQ Artemis members discovery that will use JGroups.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGroupsPropertiesBroadcastEndpoint(JChannelManager manager, String properties, String channelName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jgroups.JChannel` | `createChannel()`

    - ### Methods inherited from class org.apache.activemq.artemis.api.core.JGroupsBroadcastEndpoint

      `broadcast, close, initChannel, internalCloseChannel, internalOpen, openBroadcaster, openClient, receiveBroadcast, receiveBroadcast`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGroupsPropertiesBroadcastEndpoint

          public JGroupsPropertiesBroadcastEndpoint(JChannelManager manager,
                                                    String properties,
                                                    String channelName)
                                             throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### createChannel

          public org.jgroups.JChannel createChannel()
                                             throws Exception

      Specified by:
        `createChannel` in class `JGroupsBroadcastEndpoint`
      Throws:
        `Exception`

Copyright © 2017 The Apache Software Foundation. All rights reserved.